"""CADdy++ Modelle in Dxf-Dwg-Format konvertieren.

Dieses Script konvertiert alle Mod-Dateien in einem 
gegebenen Verzeichnis nach Dxf-Dwg."""

import os, sys, glob
from CADdy.Application import GetApplic

theCADdy = GetApplic()
frameManager = theCADdy.FrameManager()

if len(sys.argv) < 2:
    pathList = [ r'F:\CADdyMA2008\User\MOD' ]
else:
    pathList = sys.argv[1:]

for path in pathList:
    path = os.path.join(path, '*.mod')
    fileList = glob.glob(path)
    for modFile in fileList:
        (name, ext) = os.path.splitext(modFile)
        dwgFile = name + '.dwg'
        cmd = ".op.model.open <" + modFile + ">"
        frameManager.ExecuteCommand(cmd)
        cmd = ".op.io.DXFoutDWGout <" + dwgFile + ">"
        frameManager.ExecuteCommand(cmd)

