"""Erzeuge mehrere Liniensterne"""
from CADdy.Application   import GetApplic
from CADdy.Utility.Model import AddToParent

theCADdy = GetApplic()

factory       = theCADdy.Factory2D()
targetManager = theCADdy.TargetManager()
typesManager  = theCADdy.DataTypesManager()

def CreateStar(x,y,d):
    pos1  = typesManager.Create2DPosition(x,y)
    pos2  = typesManager.Create2DPosition(0.0,0.0)
    vec1  = typesManager.Create2DVector(x,y)
    angle = typesManager.CreateAngle(0.0)

    for w in range(0,360,1):
        angle.Grad = w
        pos2.SetPolar(angle,d)
        pos2.Add(vec1)
        line = factory.CreateOp2DStraSeg(pos1,pos2)
        AddToParent(line, targetManager.TargetOp2DParent)

CreateStar(200,120,20)
CreateStar(250,220,40)
CreateStar(300, 40,30)
CreateStar(350,170,40)
