##
## Sample2.py - More lines...
##
"""Line creation and transformation sample.

This small python script demonstrates the creation of some CADdy++ 2D lines.
The sample introduces the way CADdy++ CAD objects can be manipulated 
algorithmically.
"""
from CADdy.Application import GetApplic
from CADdy.Utility.Model import AddToParent

def main():
    theCADdy = GetApplic()

    factory       = theCADdy.Factory2D()
    targetManager = theCADdy.TargetManager()
    types         = theCADdy.DataTypes()

    pos1 = types.CADdy2DPosition()
    pos2 = types.CADdy2DPosition()
    
    translate = types.CADdy2DVector()
    phi       = types.CADdyAngleRel()
    matrix    = types.CADdy2DTransform()

    pos1.SetCoord(100.0, 100.0)

    for a in range(1,360,1):
        phi.Grad = a

        translate.X = -pos1.X
        translate.Y = -pos1.Y
        
        matrix.Identity()
        matrix.AppTranslation(translate)
        matrix.AppRotation(phi)

        translate.X = pos1.X
        translate.Y = pos1.Y        
        matrix.AppTranslation(translate)

        pos2.SetCoord(200,100)
        pos2.Transform(matrix)

        line = factory.CreateOp2DStraSeg(pos1,pos2)

        AddToParent(line, targetManager.TargetOp2DParent)

if __name__ == '__main__':
    main()
