##
## Sample3.py - CADdyAddIns.ICADdyAddIns access - starting an AddIn
##
"""CADdyAddIns.ICADdyAddIns access - starting an CADdy++ AddIn.

This small python script demonstrates the start of an existing CADdy++ 'AddIn'.
An 'AddIn' is a kind of plugin. Actually, it is a registered COM server which 
provides arbitrarily services, which may be meaningful for the CADdy++ user. 

On running this starter script, the CADdy++ application lookup the requested
and registered COM server (AddIn) in the Windows registry. If it is found, the 
AddIn is executed and performs its duty. An example of an AddIn is an Action for
constructing 2D lines interactively.

This sample starts the AddIn 'CADdyAddIn.DIN66025' which is an already registered 
part of the standard CADdy++ application installation.
On success five new commands can be found in the command pool DIN66025. This can be
checked with help of the dialog of the user defined toolbar. In its tree window
the folder DIN66025 must be present.

Later samples show the creation of CADdy++ Addins for different tasks. Normally,
an AddIn will be started as a CADdy++ Command from within the CADdy++ session.
Commands may be associated with Toolbar buttons for fast and easy access.
"""
from CADdy.Application import GetApplic


def main():
    theCADdy = GetApplic()
    
    try:
        theCADdy.Start("CADdyAddIn.DIN66025")
    except:
        pass

if __name__ == '__main__':
    main()
