##
## RunAddIn3.py - CADdyAddIns.ICADdyAddIns access - starting AddIn3
##
"""CADdyAddIns.ICADdyAddIns access - starting the CADdy++ AddIn3.

This small python script demonstrates the start of an existing CADdy++ 'AddIn'.
An 'AddIn' is a kind of plugin. Actually, it is a registered COM server which 
provides arbitrarily services, which may be meaningful for the CADdy++ user. 

On running this starter script, the CADdy++ application looks for the requested
and registered COM server (AddIn0) in the Windows registry. If it is found, the 
AddIn is executed and performs its duty.
"""
from CADdy.Application import GetApplic


def main():
    theCADdy = GetApplic()
    
    try:
        theCADdy.StartAndExecute("CADdyAddIn.PythonAddIn3", "AddIn3.MyCmd1")
    except:
        pass

if __name__ == '__main__':
    main()
